#include <bits/stdc++.h>
#define MOD 1000000007
using namespace std;

int dp[1000001][27];
int main()
{
    ios_base::sync_with_stdio(0);
    int n;
    string s;
    string s26="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    cin>>n;
    cin>>s;
    for(int i=0;i<=n;i++)
        dp[i][0]=1;
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<27;j++)
        {
            if(s[i-1]==s26[j-1])
                dp[i][j]=(dp[i-1][j-1]+dp[i-1][j])%MOD;
            else
                dp[i][j]=dp[i-1][j];
        }
    }
    cout << dp[n][26] << endl;
    return 0;
}